/** fMSX: portable MSX emulator ******************************/
/**                                                         **/
/**                          Help.h                         **/
/**                                                         **/
/** This file contains help information printed out by the  **/
/** main() routine when started with option "-help".        **/
/**                                                         **/
/** Copyright (C) Marat Fayzullin 1994-1997                 **/
/**     You are not allowed to distribute this software     **/
/**     commercially. Please, notify me, if you make any    **/
/**     changes to this file.                               **/
/*************************************************************/

char *HelpText[] =
{
  "Usage: fmsx [-option1 [-option2...]] [filename1] [filename2]",
  "[filename1] = name of file to load as cartridge A",
  "[filename2] = name of file to load as cartridge B",
  "[-option]   =",
  "  -verbose <level>    - Select debugging messages [1]",
  "                        0 - Silent       1 - Startup messages",
  "                        2 - V9938 ops    4 - Disk/Tape",
  "                        8 - Memory      16 - Illegal Z80 ops", 
  "  -hperiod <period>   - Number of CPU cycles per HBlank [215]",
  "  -vperiod <period>   - Number of CPU cycles per VBlank [60000]",
  "  -uperiod <period>   - Number of VBlanks per screen update [2]",
  "  -help               - Print this help page",
  "  -printer <filename> - Redirect printer output to file [stdout]",
  "  -serial <filename>  - Redirect serial I/O to a file [stdin/stdout]",
  "  -diska <filename>   - Set disk image used for drive A: [DRIVEA.DSK]",
  "                        (multiple -diska options accepted)",
  "  -diskb <filename>   - Set disk image used for drive B: [DRIVEB.DSK]",
  "                        (multiple -diskb options accepted)",
  "  -tape <filename>    - Set tape image file [off]",
  "  -font <filename>    - Set fixed font for text modes [DEFAULT.FNT]",
  "  -logsnd <filename>  - Write soundtrack to a file [off]",
  "  -ram <pages>        - Number of 16kB RAM pages [4/8/8]",
  "  -vram <pages>       - Number of 16kB VRAM pages [2/8/8]",
  "  -rom <type>         - Select MegaROM mapper types [0,0]",
  "                        (two -rom options accepted)",
  "                        0 - Konami 8kB    1 - MSXDOS2 16kB",
  "                        2 - Konami5 8kB   3 - Konami4 8kB",
  "                        4 - ASCII 8kB     5 - ASCII 16kB",
  "  -msx1/-msx2/-msx2+  - Select MSX model [-msx2]",
  "  -joy <type>         - Select joystick types [0,0]",
  "                        (two -joy options accepted)",
  "                        0 - No joystick",
  "                        1 - Normal joystick",
  "                        2 - Mouse in joystick mode",
  "                        3 - Mouse in real mode",
#ifdef DEBUG
  "  -trap <address>     - Trap execution when PC reaches address [FFFFh]",
  "                        (when keyword 'now' is used in place of the",
  "                        <address>, execution will trap immediately)",
#endif
#ifdef SOUND
  "  -sound/-nosound     - Play/don't play sound [-sound]",
#endif
#ifdef UNIX
#ifdef MITSHM
  "  -shm/-noshm         - Use/don't use MIT SHM extensions for X [-shm]",
#endif
  "  -saver/-nosaver     - Save/don't save CPU when inactive [-saver]",
  "  -sync <frequency>   - Sync screen updates to <frequency> [0]",
  "  -nosync             - Same as '-sync 0'",
  "  -scale <factor>     - Scale window by <factor> [1]",
#endif
  /*  VDP Wait */
  "  -vdpwait/-novdpwait - Use/don't use VDP WAIT function",
  /*  Rensha   */
  "  -afire <wait>       - Select AUTO-FIRE mode. (Joystick A button) [0]",
  "                        0     - normal",
  "                        other - A button in auto-fire mode",
  "  -noafire            - Same as '-afire 0'",
  "\nKeyboard bindings:",
  "  [LALT]          - Joystick A button",
  "  [NFER]          - Joystick B button",
  "  [CAPS]          - CAPS LOCK",
  "  [HIRA/KATA]     - COUNTRY",
  "  [XFER]          - GRAPH",
  "  [ZEN/HAN]       - SELECT",
  "  [PageUp]        - INSERT",
  "  [PageDown]      - DELETE",
  "  [F6]            - STOP/BREAK",
  "  [F7]            - HOME/CLS",
#ifdef DEBUG
  "  [F9]            - Go into the built-in debugger",
#endif
  "  [F10]           - Quit emulation",
  "  [CONTROL]+[F7]  - Change disk in drive A:",
  "  [CONTROL]+[F8]  - Change disk in drive B:",
  "  [CONTROL]+[F10] - Turn fixed font on/off",
  0
};
