/** EMULib Emulation Library *********************************/
/**                                                         **/
/**                        LibUnixMGL2.h                    **/
/**                                                         **/
/** This file contains definitions and declarations for     **/
/** some commonly used Unix/MGL2 routines.                  **/
/**                                                         **/
/** Copyright (C) Marat Fayzullin 1996-1999                 **/
/**               Hiroyuki Yanai  2000                      **/
/**     You are not allowed to distribute this software     **/
/**     commercially. Please, notify me, if you make any    **/
/**     changes to this file.                               **/
/*************************************************************/

#ifndef LIBUNIX_H
#define LIBUNIX_H
#ifdef UNIX

#include "mgl2.h"
#include "mglcol.h"

typedef unsigned int pixel;


/* MGL2 functions */
void clear_fmsx_screen(int isPushed);



/** InitLibUnixMGL2() ****************************************/
/** This function is called to obtain the display and other **/
/** values at startup. It returns 0 on failure.             **/
/*************************************************************/
int InitLibUnixMGL2(void);


/** Timers ***************************************************/
#define MAXTIMERFREQ 100 /* Maximal frequency for AddTimer() */

int TimerSignal(int Freq,void (*Handler)(int));
    /* Establishes a signal handler called with given        */
    /* frequency (Hz). Returns 0 if failed.                  */
int AddTimer(int Freq,void (*Handler)(void));
    /* Establishes a periodically called routine at a given  */
    /* frequency (1..MAXTIMERFREQ Hz). Returns 0 if failed.  */
void DelTimer(void (*Handler)(void));
    /* Removes timers established with AddTimer().           */
/*************************************************************/

#endif /* UNIX */
#endif /* LIBUNIX_H */
